/*--
    Michael Lane - Alpha custom.css
    kvTemplates.com ©2023
--*/

@import url('https://fonts.googleapis.com/css2?family=Nanum+Gothic:wght@400;700&family=Playfair+Display:wght@500;700&display=swap');
:root {
    /* Colors */
        --primary-brand-color: hsla(var(--colorPrimary-h,0),var(--colorPrimary-s,0%),calc(var(--colorPrimary-l, 25%) + 0%),1);
        --secondary-brand-color: #c5a95e;
    /* Fonts */
        --heading-font: 'Playfair Display', serif !important;
        --text-font: 'Nanum Gothic', sans-serif !important;
    /* Images */
        --background-texture: url(https://dtzulyujzhqiu.cloudfront.net/expcorporate377/images/1695224614_ZqlNWP7m98Xc5pCiUyxAIl7SSqHZAcVUBeBI247h.jpeg);
        --testimonial-background-image: url(https://dtzulyujzhqiu.cloudfront.net/expcorporate377/images/1693938590_whvppev1smAulUnR1hLf8CjP3n3HOnDTwGXyPAnH.jpeg);
        --renovation-background-image: url(https://dtzulyujzhqiu.cloudfront.net/expcorporate377/images/1694187641_BIvjYwMPGY6aoqa89gIetcNLcNU3ZTu6C7mwtor1.jpeg);
}

/*--Typography--*/
    body, .btn, p, .font-sans {
        font-family: var(--text-font) !important;
        font-weight: 500;
    }
    h1, h2, h3, h4, h5, h6, .h1, .h1, .h3, .h4, .h5, .h6, .font-serif {
        font-family: var(--heading-font) !important;
        font-weight: 700;
    }
    #custom-content p, #custom-content li, #testimonials i, #testimonials p, #about, #latest-blogs .post-content p, .service-area-link {
        font-size: 1.1rem;
    }

/*General classes missing from kvCORE version of Bootstrap*/
    .position-relative{position:relative}
    .d-block{display:block}
    .flex-column{flex-direction:column}
    .align-items-center{align-items:center!important}
    .m-b-n3{margin-bottom:-3.5rem}
    .m-t-n3{margin-top:-3.5rem}
    @media (min-width: 768px){
        .m-b-md-0{margin-bottom:0}
        .m-t-md-0{margin-top:0}
        .p-y-md-3{padding-top:3rem;padding-bottom:3rem}
    }
    .z-index-1{z-index:1}

/*Create equal height, columns on desktop*/
    .row.eq-height {display:-ms-flexbox;display:flex;-ms-flex-wrap:wrap;flex-wrap: wrap;}
    .row.eq-height .col-xs-12 {-ms-flex: 0 0 100%;flex: 0 0 100%;max-width: 100%}
    @media (min-width: 768px){
        .row.eq-height .col-md-6{-ms-flex: 0 0 50%;flex: 0 0 50%;max-width:50%}
    }
    @media (min-width: 992px){
        .row.eq-height .col-lg-3{-ms-flex: 0 0 25%;flex: 0 0 25%;max-width:25%}
        .row.eq-height .col-lg-4{-ms-flex: 0 0 33.333333%;flex: 0 0 33.333333%;max-width: 33.333333%}
        .row.eq-height .col-lg-6{-ms-flex: 0 0 50%;flex: 0 0 50%;max-width:50%}
    }

    .row.no-gutters{margin-right:0;margin-left:0;}
    .row.no-gutters>[class*=col-]{padding-right:0;padding-left: 0;}

    .row.eq-gutters{margin-right:0.4687rem;margin-left:.4687rem}
    .row.eq-gutters>[class*=col-]{padding:.4687rem}

/*--Resposive Containers--*/
    .container-lg,
    .container-xl {
        margin-left: auto;
        margin-right: auto;
        padding-left: 0.9375rem;
        padding-right: 0.9375rem;
    }
    @media (min-width: 992px){
        .container-lg{max-width: 940px;}
    }
    @media (min-width: 1200px){
        .container-xl{max-width: 1140px;}
    }

/*--Buttons--*/
    .btn-outline {
        border: 2px solid #fff;
        transition: .15s all linear;
    }
    .btn-outline:hover {
        color: #fff;
    }
    .btn-outline.btn-white {
        border-color: hsla(var(--colorPrimary-h,0),var(--colorPrimary-s,0%),calc(var(--colorPrimary-l, 25%) + 0%),1);
    }
    .btn-outline:hover {
        border-color: var(--secondary-brand-color);
    }

/*--kvCORE Resets--*/
    #home-bodycontent .main > .main-inner > .content > .container-fluid,
    #home-bodycontent .main > .main-inner > .content > .container-fluid > #categories, 
    #home-bodycontent .main > .main-inner > .content > .container,
    #home-bodycontent .main > .main-inner > .content > .container > #categories {
        width: 100%;
        max-width: 100%;
        margin: 0 0 0 0 !important;
        padding: 0 0 0 0 !important;
    }

/*--Social Broker Logo - Only displayed if agent hides broker logo--*/
    #social-broker-logo {
        height: 36px;
        margin-top: -4px;
    }
    #header #social-broker-logo {
        filter: brightness(0);
    }
    #home-bodycontent #header #social-broker-logo,
    #header.primary-color #social-broker-logo,
    #header.secondary-color #social-broker-logo {
        filter: brightness(0) invert(1);
    }

/*--Customize Home Page Header--*/
    #home-bodycontent #header {
        position: fixed;
        top: -110px;
        opacity: 0;
        transition: all .15s linear;
    }
    #home-bodycontent #header.show {
        top: 0;
        opacity: 1;       
    }
    #header {
        background-color: #fff !important;
    }
    #header.primary-color {
        background-color: hsla(var(--colorPrimary-h,0),var(--colorPrimary-s,0%),calc(var(--colorPrimary-l, 25%) + 0%),1) !important;
    }
    #header.secondary-color {
        background-color: #000 !important;
    }

    #header:not(.primary-color):not(.secondary-color) .container .row-flex:first-child > ul li a,
    #header:not(.primary-color):not(.secondary-color) .container .row-flex:first-child > ul li a .fa.social,
    #header:not(.primary-color):not(.secondary-color) .nav-primary .nav-link {
        color: #000;
    }
    #header:not(.primary-color):not(.secondary-color) .container .row-flex:first-child > ul li a .fa.social,
    #header:not(.primary-color):not(.secondary-color) .navbar-toggler,
    #header:not(.primary-color):not(.secondary-color) .navbar-toggler span {
        border-color: #000;
    }
    #header:not(.primary-color):not(.secondary-color) .navbar-toggler {
        background-color: #fff;
    }

    /*--Logos - Filter All White If Dark Background --*/
    #header #primary-logo img {
        filter:brightness(0) invert(1);
    }
    /*--Logos - Filter All Black If White Background --*/
    #header:not(.primary-color):not(.secondary-color) #primary-logo img {
        filter:brightness(0);
    }
    
    #custom-header-logos {
        display: flex;
        position: absolute;
        top: 10px;
        left: 10px; 
        z-index: 1;       
    }
    #custom-header-logos img {
            max-height: 40px;
            margin-right: 24px;
        }
    @media (min-width: 578px) {
        #custom-header-logos {
            top: 50px;
            left: 21px; 
        }
        #custom-header-logos img {
            max-height: 75px;
            margin-right: 24px;
        }
    }
    #custom-header-logos #primary-logo img {
        filter:brightness(0) invert(1);
    }

    #header-secondary{
        display: flex !important;
        justify-content: space-around;
        position: relative;
        z-index: 4;
        background-color: hsla(var(--colorPrimary-h,0),var(--colorPrimary-s,0%),calc(var(--colorPrimary-l, 25%) + 0%),1) !important;
    }
    #header-secondary .nav-primary {
        float: none;
        padding: 0 12px;
    }
    #header-secondary .nav-primary .nav-link:hover,
    #header-secondary .nav-primary .nav-item-parent:hover > a {
        color: var(--secondary-brand-color);
    }

    #header-secondary .navbar-toggler {
        position: relative;
        top: unset;
        right: unset;
        border: none;
        margin: 8px;
        outline: none !important;
    }
    #header-secondary .navbar-toggler > span {
        margin: 6px 0 0;
        border-top: 2px solid #fff !important;
    }
    #header-secondary .navbar-toggler > span:nth-child(1) {
        margin-top: 0;
    }
    #header-secondary .navbar-toggler > span:nth-child(2) {
        margin-left: 33%;
        transition: all 0.33s ease;
    }
    #header-secondary .nav-secondary-wrapper.collapse.in + .navbar-toggler > span:nth-child(2),
    #header-secondary .navbar-toggler:hover > span:nth-child(2) {
        margin-left: 0;
    }

    @media (max-width: 991.99999px){
        #header-secondary .nav-secondary-wrapper {
            width: 100%;
            margin: auto;
            top: 30px;
            background-color: hsla(var(--colorPrimary-h,0),var(--colorPrimary-s,0%),calc(var(--colorPrimary-l, 25%) + 0%),1) !important;
            box-shadow: 0 1px 2px rgba(0,0,0,.08);
            padding: 0;
            position: absolute;
        }
        #header-secondary .nav-secondary-wrapper .nav-primary {
            width: 100%;
            max-width: 650px;
            margin: auto;
        }
        #header-secondary .nav-secondary-wrapper .nav-primary .nav-link,
        #header-secondary .nav-secondary-wrapper .nav-primary .sub-menu a {
            color: #fff;
        }
        #header-secondary .nav-secondary-wrapper .nav-primary .sub-menu a {
            padding: 8px 15px 8px 30px;
        }
    }

/*--Hero Area--*/
    
    /*-- Not needed for this custom design
    #home-bodycontent .cover {
        z-index: 5;
    }
    #home-bodycontent .cover-image, .cover-overlay {
        background-attachment: fixed;
        background-position: top center;
        background-size: 100% !important;
    }
    @media only screen and (max-width: 767px) {
        #home-bodycontent .cover-image, .cover-overlay {
            background-attachment: scroll;
        }
    }
    #home-bodycontent .cover-title-inner {
        display: none;
    }
    #home-bodycontent .cover #horizontal-search {
        display: none;
    }
    --*/
    #home-bodycontent #fixed-header-spacer {
        display: none;
    }
    #home-bodycontent .main {
        padding-top: 0;
    }
    #home-bodycontent .cover {
        display: none;
    }
    .information-bar {
        display: none;
    }
    
/*--Fixed full width background images--*/
/*
    <div class="bg-wrap-fixed section-inverse">
        <img src="" />
    </div>
    <div class="container">
        Content
    </div>
*/
    .bg-wrap-fixed + .container {
        z-index: 3;
    }
    .bg-wrap-fixed {
        position: absolute;
        top: 0;
        left: 0;
        z-index: 0;
        width: 100%;
        height: 100%;
        clip: rect(0, auto, auto, 0);
    }
    .bg-wrap-fixed img {
        position: fixed;
        z-index: 0;
        display: block;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        object-fit: cover;
        object-position: center;
        transform: translateZ(0);
        will-change: transform;
        filter: brightness(.5);
    }
    #froala-editor.fr-top .bg-wrap-fixed img {
        position: relative;
    }

/*--HOME PAGE--*/
    #home-bodycontent {
        background-image: var(--background-texture);
        background-attachment: fixed;
    }
    @media only screen and (max-width: 767px) {
        #home-bodycontent {
            background-attachment: scroll;
        }
    }
    #home-bodycontent #custom-content {
        overflow-x: hidden;
        background-color: rgba(0,0,0,0.8);
    }

    @media (min-width: 768px) {
        .section-background::before {
            content: '';
            display: block;
            width: 70%;
            height: 100%;
            position: absolute;
            top: 0;
            left: 0;
            background-color: #fff;
        }
        .section-background.content-right::before {
            right: 0;
            left: unset;
        }

    }
    .section-heading {
        position: relative;
        display: inline-block;
        margin-bottom: 0;
        padding-bottom: 40px;
    }
    .section-heading span:nth-child(1) {
        display: block;
        font-family: var(--text-font) !important;
        font-size: 16px;
        color: var(--secondary-brand-color) !important;
        text-transform: uppercase;
    }
    .section-heading::after {
        position: absolute;
        left: 0;
        bottom: 20px;
        content: '';
        display: block;
        width: 100vw;
        border-bottom: 1px solid var(--secondary-brand-color) !important;
    }
    .section-heading.left-accent::after {
        left: unset;
        right: 0;
    }
    .btn-heading-wrapper {
        overflow: hidden;
    }
    .btn-heading {
        position: relative;
        display: inline-block;
        margin-bottom: 0;
        padding-bottom: 0;
        text-align: left;
        text-transform: uppercase;
    }


/*--CUSTOM HOMEPAGE CONTENT--*/
    /*-Intro Video Section-*/
        #intro-video {
            overflow: hidden;
            margin-bottom: -6px;
        }

    /*-Custom Agent Profile Section(s)-*/
        .agent-profile {
            overflow: hidden;
        }
        .agent-profile .container {
           position: relative;
           z-index: 3; 
        }

    /*-Featured Communities-*/
        #featured-communities {
            overflow: hidden;
        }
        #featured-communities figure {
            height: 480px;
            background-color: #000;
            transition: .3s background-color linear;
        }
        #featured-communities figure:hover {
            background-color: #fff;
        }
        #featured-communities figure img {
            position: absolute;
            top: 0;
            left: 0;
            height: 100%;
            width: 100%;
            object-fit: cover;
            opacity: 1;
            transition: .3s opacity linear; 
        }
        #featured-communities figure:hover img {
            opacity: .3;
        }
        #featured-communities figcaption {
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
            color: #fff;
            transition: .3s color linear;
        }
        #featured-communities figure:hover figcaption {
            color: #454545;
        }

        #featured-communities img {
            transition: all .2s linear;
        }
        #featured-communities img:hover {
            transform: scale(1.1);
        }

    /*-Custom Horizontal Search Section-*/
        #custom-search {
            position: relative;
            z-index: 4;
        }
        #custom-search #search-title .h6{
            margin-top: 4px;
            padding-bottom: 4px;
            border-bottom: 1px solid #000;
        }
        #custom-search #search-title .h1 {
            margin-left: -13px;
            font-size: 60px;
        }
        #custom-search.section-inverse #search-title .h6 {
            border-bottom: 1px solid #fff;
        }
        @media only screen and (min-width: 992px) {    
            #custom-search #search-title .h6{
                margin-top: 9px;
            }
            #custom-search #search-title .h1 {
                font-size: 70px;
            }
        }
        #custom-search #horizontal-search {
            padding-bottom: 0 !important;
        }
        #custom-search #horizontal-search .form-group {
            padding: 0px 2px;
        }
        #custom-search #horizontal-search .form-control {
            min-height: 55px;
            border: 0;
        }
        #custom-search #horizontal-search .location-form-group .form-control,
        #custom-search #horizontal-search .form-group>.form-control {
            border-bottom: 1px solid rgba(0, 0, 0, .4);
            font-size: 15px;
            line-height: 24px;
        }
        #custom-search #horizontal-search .tokenfield.form-control {
            padding: 17px 20px 14px;
        }
        #custom-search #horizontal-search .tokenfield.form-control .tt-menu {
            min-width: 278px !important;
            left: -9px;
        }
        #custom-search #horizontal-search .tokenfield.form-control .tt-menu .info .key {
            width: 100%;
        }
        #custom-search #horizontal-search button.form-control {
            padding: 6px 12px;
        }
        #custom-search #horizontal-search .form-group .btn {
            height: 56px;
        }
        #custom-search #horizontal-search .bootstrap-select .dropdown-toggle:focus,
        #custom-search #horizontal-search .bootstrap-select .dropdown-menu > li > a:focus{
            outline: none !important;
        }
        #custom-search #horizontal-search .bootstrap-select .dropdown-menu > li.selected {
            background-color: #cecece;
        }
        #custom-search #horizontal-search #qs-submit {
            background-color: #757575;
            text-transform: uppercase;
        }
        #custom-search #horizontal-search #adv-search {
            background-color: #3c3c3c;
            text-transform: uppercase;
        }
        #custom-search #horizontal-search #qs-submit:hover,
        #custom-search #horizontal-search #adv-search:hover {
            background-color: #333333;
        }
        @media only screen and (max-width: 767px) {  
            /*--Uncomment if you only want to show location search on mobile  
                #custom-search #horizontal-search .form-group:nth-child(n+2):nth-child(-n+7) {
                    display: none;
                }
            --*/
            #custom-search #horizontal-search .form-group:nth-child(3),
            #custom-search #horizontal-search .form-group:nth-child(5) {
                padding-right: .5rem;
            }
            #custom-search #horizontal-search .form-group:nth-child(4),
            #custom-search #horizontal-search .form-group:nth-child(6) {
                padding-left: .5rem;
            }
        }

    /*--Custom Testimonials Section--*/
        #custom-testimonials {
            overflow: hidden;
        }
        #custom-testimonials .container {
            z-index: 1;
        }
        #custom-testimonials #testimonials {
            margin: 20px 0;
        }
        #custom-testimonials .owl-carousel button.owl-next, #custom-testimonials .owl-carousel button.owl-prev {
            background-color: transparent;
            color: #fff;
            font-size: 20px;
            position: absolute;
            text-align: center;
            top: -20px;
            outline: 0;
            border: none;
        }
        #custom-testimonials .owl-carousel button.owl-prev {
            left: 20px;
        }
        #custom-testimonials .owl-carousel button.owl-next {
            right: 20px;
        }
        #custom-testimonials .owl-carousel .star-rating {
            margin-bottom: 10px;
            text-align: center;
        }
        #custom-testimonials .owl-carousel .carousel-item i {
            overflow: hidden;
            display: -webkit-box;
            -webkit-line-clamp: 6;
            -webkit-box-orient: vertical;
        }
        #custom-testimonials::before {
            content: '';
            display: block;
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background-image: var(--testimonial-background-image);
            background-attachment: fixed;
            background-position: center;
            background-repeat: no-repeat;
            background-size: cover;
            filter: brightness(.5) grayscale(1);
        }
        @media only screen and (max-width: 767px) {
            #custom-testimonials::before {
                background-attachment: scroll;
            }
        }

    /*-Custom Listing Carousels-*/
        .listings {
            overflow: hidden;
        }
        .listings .listing-box-wrapper {
            background: transparent;
            border: none;
        }
        .listings .listing-box-wrapper .listing-carousel-wrapper .owl-carousel .listing-box {
            margin: 0;
        }
        .listings .listing-box-wrapper .listing-carousel-wrapper .owl-carousel .listing-box .listing-box-image {
            min-height: 168px !important;
            background-size: cover !important;
        }
        @media only screen and (min-width: 540px) { 
            .listings .listing-box-wrapper .listing-carousel-wrapper .owl-carousel .listing-box .listing-box-image {
                min-height: 134px !important;
            }
        }
        @media only screen and (min-width: 768px) { 
            .listings .listing-box-wrapper .listing-carousel-wrapper .owl-carousel .listing-box .listing-box-image {
                min-height: 210px !important;
            }
        }
        @media only screen and (min-width: 992px) { 
            .listings .listing-box-wrapper .listing-carousel-wrapper .owl-carousel .listing-box .listing-box-image {
                min-height: 185px !important;
            }
        }
        @media only screen and (min-width: 1200px) { 
            .listings .listing-box-wrapper .listing-carousel-wrapper .owl-carousel .listing-box .listing-box-image {
                min-height: 168px !important;
            }
        }
        .listings .listing-box-wrapper .listing-carousel-wrapper .owl-carousel .owl-nav button {
            width: 40px;
            height: 40px;
            background: #fff;
            border-radius: 50%;
            box-shadow: 0 2px 4px -1px rgb(0 0 0 / 20%);
            transform: translateY(calc( -50% - 11px ));
        }
        .listings .listing-box-wrapper .listing-carousel-wrapper .owl-carousel .owl-nav button.owl-prev {
            left: -24px;
        }
        .listings .listing-box-wrapper .listing-carousel-wrapper .owl-carousel .owl-nav button.owl-next {
            right: -24px;
        }
        .listings .listing-box-wrapper .listing-carousel-wrapper .owl-carousel .owl-nav button i.fa {
            color: hsla(var(--colorPrimary-h,0),var(--colorPrimary-s,0%),calc(var(--colorPrimary-l, 25%) + 0%),1);
        }
        @media only screen and (min-width: 540px) { 
            .listings .listing-box-wrapper .listing-carousel-wrapper .owl-carousel .owl-nav button {
                transform: translateY(calc( -50% - 27px ));
            }
        }
        @media only screen and (min-width: 768px) { 
            .listings .listing-box-wrapper .listing-carousel-wrapper .owl-carousel .owl-nav button {
                transform: translateY(calc( -50% + 10px ));
            }
        }
        @media only screen and (min-width: 992px) { 
            .listings .listing-box-wrapper .listing-carousel-wrapper .owl-carousel .owl-nav button {
                transform: translateY(calc( -50% - 2px ));
            }
        }
        @media only screen and (min-width: 1200px) { 
            .listings .listing-box-wrapper .listing-carousel-wrapper .owl-carousel .owl-nav button {
                transform: translateY(calc( -50% - 10px ));
            }
        }

    /*-Custom About-*/
        #home-bodycontent #about {
            display: none;
        }
        #home-bodycontent #about .container .row > .col-xs-12 > h1 {
            display: none;
        }

    /*-Renovate-*/
    #renovate-links {
        overflow: hidden;
    }
    #renovate-links::before {
        content: '';
        display: block;
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-image: var(--renovation-background-image);
        background-attachment: fixed;
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        filter: opacity(.3);
    }
    @media only screen and (max-width: 767px) {
        #renovate-links::before {
            background-attachment: scroll;
        }
    }

        
/*--CUSTOM PAGES--*/
    #vendor-list .card-body h3  {
        font-family: var(--text-font) !important;
        font-weight: 700;
        font-size: 15px;
    }

/*--Default Fixes--*/
    .information-bar {
        margin-top: 0 !important;
    }
    #about,
    #latest-blogs,
    #areas-we-cover {
        overflow: hidden;
    }
    #testimonials .star-rating {
        text-align: center;
    }
    .post-content p {
        color: #575757;
    }
    .footer-top-right p {
        color: #f0f0f0 !important;
    }
    .footer-bottom .footer-left {
        float: none;
        text-align: center;
    }
    .footer-bottom .footer-left ul {
        display: inline-block;
    }

/*--Credits/Copywrite--*/
    #design-creds {
        clear: both;
    }
    #design-creds a {
        color: rgba(255,255,255,0.5);
        font-size: .8rem;
    }

/*--Home Page Editor--*/
    #site-editor-screencast {
        position: fixed;
        z-index: 9999;
        bottom: 1rem;
        left: 1rem;
        max-width: 360px;
        border: 1px solid #ebe9e9;
        box-shadow: 1px 1px 15px -4px rgb(0 0 0 / 20%);
    }
    #close-screencast {
        position: absolute;
        top: -18px;
        right: 12px;
        padding: 0;
        margin: 0;
        border: 0;
    }
    #close-screencast .fa-stack-2x {
        height: 27.2px;
        width: 27.2px;
        transition: all .3s ease;
    }
    #close-screencast:hover .fa-stack-2x {
        transform: rotateZ(270deg);
    }
    #close-screencast .fa-times-circle {
        color: #e50000;
    }
    #close-screencast .fa-times-circle,
    #close-screencast .fa-circle {
        line-height: 1;
    }